Package com.google.android.exoplayer2.source

## Interface MediaSourceFactory

- All Superinterfaces:
    `MediaSource.Factory`
  All Known Implementing Classes:
    `DashMediaSource.Factory`, `DefaultMediaSourceFactory`, `FakeMediaSourceFactory`, `HlsMediaSource.Factory`, `ProgressiveMediaSource.Factory`, `RtspMediaSource.Factory`, `SsMediaSource.Factory`

      @Deprecated
      public interface MediaSourceFactory
      extends MediaSource.Factory

  Deprecated.
  Use `MediaSource.Factory`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MediaSourceFactory` | `UNSUPPORTED` | Deprecated. An instance that throws `UnsupportedOperationException` from `MediaSource.Factory.createMediaSource(com.google.android.exoplayer2.MediaItem)` and `MediaSource.Factory.getSupportedTypes()`.

  - ### Method Summary

    - ### Methods inherited from interface com.google.android.exoplayer2.source.MediaSource.Factory

      `createMediaSource, getSupportedTypes, setDrmSessionManagerProvider, setLoadErrorHandlingPolicy`

- - ### Field Detail

    - #### UNSUPPORTED

          static final MediaSourceFactory UNSUPPORTED

      Deprecated.
      An instance that throws `UnsupportedOperationException` from `MediaSource.Factory.createMediaSource(com.google.android.exoplayer2.MediaItem)` and `MediaSource.Factory.getSupportedTypes()`.